/*--------------------------------------------------------
  "THE BEER-WARE LICENSE" (Revision 42):
  Alex Kostyuk wrote this code. As long as you retain this 
  notice you can do whatever you want with this stuff. 
  If we meet some day, and you think this stuff is worth it, 
  you can buy me a beer in return.
----------------------------------------------------------*/ 

#ifndef __CONFIG_H__
#define __CONFIG_H__

#include <windows.h>

typedef struct {
int joy_id;
int btn_id;
} JOY_BUTTON;

typedef struct {
int x_pos;
int y_pos;
int size;
int  uplink_port;
char downlink_ip[50];
int  downlink_port;
char console[50];
} CONFIG;

extern CONFIG config;

int save_config(void);
int load_config(void);
int show_config(void);


#endif

